/**
 * Proof point id type
 */
declare enum ProofPointIdType {
    Ipfs = 0
}
/**
 * Proof point id
 * A unique identifier for a proof point.
 */
declare class ProofPointId {
    private _id;
    private _type;
    static parse(input: string): ProofPointId;
    getType(): ProofPointIdType;
    toString(): string;
    equals(other: ProofPointId): boolean;
    private constructor();
}
export { ProofPointId, ProofPointIdType };
